<?php
$tdataempresa = array();
$tdataempresa[".searchableFields"] = array();
$tdataempresa[".ShortName"] = "empresa";
$tdataempresa[".OwnerID"] = "";
$tdataempresa[".OriginalTable"] = "empresa";


$tdataempresa[".pagesByType"] = my_json_decode( "{\"search\":[\"search\"]}" );
$tdataempresa[".originalPagesByType"] = $tdataempresa[".pagesByType"];
$tdataempresa[".pages"] = types2pages( my_json_decode( "{\"search\":[\"search\"]}" ) );
$tdataempresa[".originalPages"] = $tdataempresa[".pages"];
$tdataempresa[".defaultPages"] = my_json_decode( "{\"search\":\"search\"}" );
$tdataempresa[".originalDefaultPages"] = $tdataempresa[".defaultPages"];

//	field labels
$fieldLabelsempresa = array();
$fieldToolTipsempresa = array();
$pageTitlesempresa = array();
$placeHoldersempresa = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsempresa["Spanish"] = array();
	$fieldToolTipsempresa["Spanish"] = array();
	$placeHoldersempresa["Spanish"] = array();
	$pageTitlesempresa["Spanish"] = array();
	$fieldLabelsempresa["Spanish"]["id_Empresa"] = "Id Empresa";
	$fieldToolTipsempresa["Spanish"]["id_Empresa"] = "";
	$placeHoldersempresa["Spanish"]["id_Empresa"] = "";
	$fieldLabelsempresa["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsempresa["Spanish"]["nombre"] = "";
	$placeHoldersempresa["Spanish"]["nombre"] = "";
	$fieldLabelsempresa["Spanish"]["nit"] = "Nit";
	$fieldToolTipsempresa["Spanish"]["nit"] = "";
	$placeHoldersempresa["Spanish"]["nit"] = "";
	$fieldLabelsempresa["Spanish"]["matricula_Comercio"] = "Matricula Comercio";
	$fieldToolTipsempresa["Spanish"]["matricula_Comercio"] = "";
	$placeHoldersempresa["Spanish"]["matricula_Comercio"] = "";
	$fieldLabelsempresa["Spanish"]["capital_Autorizado"] = "Capital Autorizado";
	$fieldToolTipsempresa["Spanish"]["capital_Autorizado"] = "";
	$placeHoldersempresa["Spanish"]["capital_Autorizado"] = "";
	$fieldLabelsempresa["Spanish"]["capital_Pagado"] = "Capital Pagado";
	$fieldToolTipsempresa["Spanish"]["capital_Pagado"] = "";
	$placeHoldersempresa["Spanish"]["capital_Pagado"] = "";
	$fieldLabelsempresa["Spanish"]["lugar_Constitucion"] = "Lugar Constitucion";
	$fieldToolTipsempresa["Spanish"]["lugar_Constitucion"] = "";
	$placeHoldersempresa["Spanish"]["lugar_Constitucion"] = "";
	$fieldLabelsempresa["Spanish"]["fecha_Constitucion"] = "Fecha Constitucion";
	$fieldToolTipsempresa["Spanish"]["fecha_Constitucion"] = "";
	$placeHoldersempresa["Spanish"]["fecha_Constitucion"] = "";
	$fieldLabelsempresa["Spanish"]["duracion"] = "Duracion";
	$fieldToolTipsempresa["Spanish"]["duracion"] = "";
	$placeHoldersempresa["Spanish"]["duracion"] = "";
	$fieldLabelsempresa["Spanish"]["domicilio"] = "Domicilio";
	$fieldToolTipsempresa["Spanish"]["domicilio"] = "";
	$placeHoldersempresa["Spanish"]["domicilio"] = "";
	$fieldLabelsempresa["Spanish"]["url_report"] = "Url Report";
	$fieldToolTipsempresa["Spanish"]["url_report"] = "";
	$placeHoldersempresa["Spanish"]["url_report"] = "";
	if (count($fieldToolTipsempresa["Spanish"]))
		$tdataempresa[".isUseToolTips"] = true;
}


	$tdataempresa[".NCSearch"] = true;



$tdataempresa[".shortTableName"] = "empresa";
$tdataempresa[".nSecOptions"] = 0;

$tdataempresa[".mainTableOwnerID"] = "";
$tdataempresa[".entityType"] = 0;
$tdataempresa[".connId"] = "bsn_dividendos_at_localhost";


$tdataempresa[".strOriginalTableName"] = "empresa";

	



$tdataempresa[".showAddInPopup"] = false;

$tdataempresa[".showEditInPopup"] = false;

$tdataempresa[".showViewInPopup"] = false;

$tdataempresa[".listAjax"] = false;
//	temporary
//$tdataempresa[".listAjax"] = false;

	$tdataempresa[".audit"] = true;

	$tdataempresa[".locking"] = true;


$pages = $tdataempresa[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataempresa[".edit"] = true;
	$tdataempresa[".afterEditAction"] = 1;
	$tdataempresa[".closePopupAfterEdit"] = 1;
	$tdataempresa[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataempresa[".add"] = true;
$tdataempresa[".afterAddAction"] = 1;
$tdataempresa[".closePopupAfterAdd"] = 1;
$tdataempresa[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataempresa[".list"] = true;
}



$tdataempresa[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataempresa[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataempresa[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataempresa[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataempresa[".printFriendly"] = true;
}



$tdataempresa[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataempresa[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataempresa[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataempresa[".isUseAjaxSuggest"] = true;



																																																																																	

$tdataempresa[".ajaxCodeSnippetAdded"] = false;

$tdataempresa[".buttonsAdded"] = false;

$tdataempresa[".addPageEvents"] = false;

// use timepicker for search panel
$tdataempresa[".isUseTimeForSearch"] = false;


$tdataempresa[".badgeColor"] = "6493EA";


$tdataempresa[".allSearchFields"] = array();
$tdataempresa[".filterFields"] = array();
$tdataempresa[".requiredSearchFields"] = array();

$tdataempresa[".googleLikeFields"] = array();
$tdataempresa[".googleLikeFields"][] = "id_Empresa";
$tdataempresa[".googleLikeFields"][] = "nombre";
$tdataempresa[".googleLikeFields"][] = "nit";
$tdataempresa[".googleLikeFields"][] = "matricula_Comercio";
$tdataempresa[".googleLikeFields"][] = "capital_Autorizado";
$tdataempresa[".googleLikeFields"][] = "capital_Pagado";
$tdataempresa[".googleLikeFields"][] = "lugar_Constitucion";
$tdataempresa[".googleLikeFields"][] = "fecha_Constitucion";
$tdataempresa[".googleLikeFields"][] = "duracion";
$tdataempresa[".googleLikeFields"][] = "domicilio";
$tdataempresa[".googleLikeFields"][] = "url_report";



$tdataempresa[".tableType"] = "list";

$tdataempresa[".printerPageOrientation"] = 0;
$tdataempresa[".nPrinterPageScale"] = 100;

$tdataempresa[".nPrinterSplitRecords"] = 40;

$tdataempresa[".geocodingEnabled"] = false;










$tdataempresa[".pageSize"] = 20;

$tdataempresa[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataempresa[".strOrderBy"] = $tstrOrderBy;

$tdataempresa[".orderindexes"] = array();


$tdataempresa[".sqlHead"] = "SELECT id_Empresa,  	nombre,  	nit,  	matricula_Comercio,  	capital_Autorizado,  	capital_Pagado,  	lugar_Constitucion,  	fecha_Constitucion,  	duracion,  	domicilio,  	url_report";
$tdataempresa[".sqlFrom"] = "FROM empresa";
$tdataempresa[".sqlWhereExpr"] = "";
$tdataempresa[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataempresa[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataempresa[".arrGroupsPerPage"] = $arrGPP;

$tdataempresa[".highlightSearchResults"] = true;

$tableKeysempresa = array();
$tableKeysempresa[] = "id_Empresa";
$tdataempresa[".Keys"] = $tableKeysempresa;


$tdataempresa[".hideMobileList"] = array();




//	id_Empresa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_Empresa";
	$fdata["GoodName"] = "id_Empresa";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","id_Empresa");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_Empresa";

		$fdata["sourceSingle"] = "id_Empresa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Empresa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["id_Empresa"] = $fdata;
		$tdataempresa[".searchableFields"][] = "id_Empresa";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","nombre");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

		$fdata["sourceSingle"] = "nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["nombre"] = $fdata;
		$tdataempresa[".searchableFields"][] = "nombre";
//	nit
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "nit";
	$fdata["GoodName"] = "nit";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","nit");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nit";

		$fdata["sourceSingle"] = "nit";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nit";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["nit"] = $fdata;
		$tdataempresa[".searchableFields"][] = "nit";
//	matricula_Comercio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "matricula_Comercio";
	$fdata["GoodName"] = "matricula_Comercio";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","matricula_Comercio");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "matricula_Comercio";

		$fdata["sourceSingle"] = "matricula_Comercio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "matricula_Comercio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["matricula_Comercio"] = $fdata;
		$tdataempresa[".searchableFields"][] = "matricula_Comercio";
//	capital_Autorizado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "capital_Autorizado";
	$fdata["GoodName"] = "capital_Autorizado";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","capital_Autorizado");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "capital_Autorizado";

		$fdata["sourceSingle"] = "capital_Autorizado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "capital_Autorizado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["capital_Autorizado"] = $fdata;
		$tdataempresa[".searchableFields"][] = "capital_Autorizado";
//	capital_Pagado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "capital_Pagado";
	$fdata["GoodName"] = "capital_Pagado";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","capital_Pagado");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "capital_Pagado";

		$fdata["sourceSingle"] = "capital_Pagado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "capital_Pagado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["capital_Pagado"] = $fdata;
		$tdataempresa[".searchableFields"][] = "capital_Pagado";
//	lugar_Constitucion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "lugar_Constitucion";
	$fdata["GoodName"] = "lugar_Constitucion";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","lugar_Constitucion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "lugar_Constitucion";

		$fdata["sourceSingle"] = "lugar_Constitucion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "lugar_Constitucion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["lugar_Constitucion"] = $fdata;
		$tdataempresa[".searchableFields"][] = "lugar_Constitucion";
//	fecha_Constitucion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "fecha_Constitucion";
	$fdata["GoodName"] = "fecha_Constitucion";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","fecha_Constitucion");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_Constitucion";

		$fdata["sourceSingle"] = "fecha_Constitucion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_Constitucion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["fecha_Constitucion"] = $fdata;
		$tdataempresa[".searchableFields"][] = "fecha_Constitucion";
//	duracion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "duracion";
	$fdata["GoodName"] = "duracion";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","duracion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "duracion";

		$fdata["sourceSingle"] = "duracion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "duracion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["duracion"] = $fdata;
		$tdataempresa[".searchableFields"][] = "duracion";
//	domicilio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "domicilio";
	$fdata["GoodName"] = "domicilio";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","domicilio");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "domicilio";

		$fdata["sourceSingle"] = "domicilio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "domicilio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["domicilio"] = $fdata;
		$tdataempresa[".searchableFields"][] = "domicilio";
//	url_report
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "url_report";
	$fdata["GoodName"] = "url_report";
	$fdata["ownerTable"] = "empresa";
	$fdata["Label"] = GetFieldLabel("empresa","url_report");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "url_report";

		$fdata["sourceSingle"] = "url_report";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "url_report";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataempresa["url_report"] = $fdata;
		$tdataempresa[".searchableFields"][] = "url_report";


$tables_data["empresa"]=&$tdataempresa;
$field_labels["empresa"] = &$fieldLabelsempresa;
$fieldToolTips["empresa"] = &$fieldToolTipsempresa;
$placeHolders["empresa"] = &$placeHoldersempresa;
$page_titles["empresa"] = &$pageTitlesempresa;


changeTextControlsToDate( "empresa" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["empresa"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["empresa"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_empresa()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_Empresa,  	nombre,  	nit,  	matricula_Comercio,  	capital_Autorizado,  	capital_Pagado,  	lugar_Constitucion,  	fecha_Constitucion,  	duracion,  	domicilio,  	url_report";
$proto0["m_strFrom"] = "FROM empresa";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Empresa",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto6["m_sql"] = "id_Empresa";
$proto6["m_srcTableName"] = "empresa";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto8["m_sql"] = "nombre";
$proto8["m_srcTableName"] = "empresa";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "nit",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto10["m_sql"] = "nit";
$proto10["m_srcTableName"] = "empresa";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "matricula_Comercio",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto12["m_sql"] = "matricula_Comercio";
$proto12["m_srcTableName"] = "empresa";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "capital_Autorizado",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto14["m_sql"] = "capital_Autorizado";
$proto14["m_srcTableName"] = "empresa";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "capital_Pagado",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto16["m_sql"] = "capital_Pagado";
$proto16["m_srcTableName"] = "empresa";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "lugar_Constitucion",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto18["m_sql"] = "lugar_Constitucion";
$proto18["m_srcTableName"] = "empresa";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Constitucion",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto20["m_sql"] = "fecha_Constitucion";
$proto20["m_srcTableName"] = "empresa";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "duracion",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto22["m_sql"] = "duracion";
$proto22["m_srcTableName"] = "empresa";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "domicilio",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto24["m_sql"] = "domicilio";
$proto24["m_srcTableName"] = "empresa";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "url_report",
	"m_strTable" => "empresa",
	"m_srcTableName" => "empresa"
));

$proto26["m_sql"] = "url_report";
$proto26["m_srcTableName"] = "empresa";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto28=array();
$proto28["m_link"] = "SQLL_MAIN";
			$proto29=array();
$proto29["m_strName"] = "empresa";
$proto29["m_srcTableName"] = "empresa";
$proto29["m_columns"] = array();
$proto29["m_columns"][] = "id_Empresa";
$proto29["m_columns"][] = "nombre";
$proto29["m_columns"][] = "nit";
$proto29["m_columns"][] = "matricula_Comercio";
$proto29["m_columns"][] = "capital_Autorizado";
$proto29["m_columns"][] = "capital_Pagado";
$proto29["m_columns"][] = "lugar_Constitucion";
$proto29["m_columns"][] = "fecha_Constitucion";
$proto29["m_columns"][] = "duracion";
$proto29["m_columns"][] = "domicilio";
$proto29["m_columns"][] = "url_report";
$obj = new SQLTable($proto29);

$proto28["m_table"] = $obj;
$proto28["m_sql"] = "empresa";
$proto28["m_alias"] = "";
$proto28["m_srcTableName"] = "empresa";
$proto30=array();
$proto30["m_sql"] = "";
$proto30["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto30["m_column"]=$obj;
$proto30["m_contained"] = array();
$proto30["m_strCase"] = "";
$proto30["m_havingmode"] = false;
$proto30["m_inBrackets"] = false;
$proto30["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto30);

$proto28["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto28);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="empresa";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_empresa = createSqlQuery_empresa();


	
				;

											

$tdataempresa[".sqlquery"] = $queryData_empresa;



$tdataempresa[".hasEvents"] = false;

?>